Skip to main content
Server path: /commercetools-products | Type: Application | PCID required: Yes

Tools

ToolDescription
commercetools_products_create_attribute_groupsPOST /attribute-groups
commercetools_products_create_product_projections_searchFor implementing funnel search on Product Listing Pages where users select multiple filters, use this POST method. To avoid URL length restrictions, this method passes the same query parameters as defined in the GET method, within the request body in URL-encoded format.
commercetools_products_create_product_tailoringGenerates the ProductTailoringCreated Message.
commercetools_products_create_product_typesPOST /product-types
commercetools_products_create_productsTo create a new Product, send a representation that is going to become the initial staged and current representation of the new Product in the catalog. If Product price selection query parameters are provided, selected Prices will be added to the response. Produces the ProductCreated Message.
commercetools_products_create_products_images_by_idUploads a JPEG, PNG, or a GIF image file to a ProductVariant. The maximum file size of the image is 10MB. Either variant or sku is required to update a specific ProductVariant. If neither is provided, the image is uploaded to the Master Variant of the Product. The response status code depends on the size of the original image. If the image is small, the API responds with 200 OK, and if the image is larger, it responds with 202 Accepted. The Product returned with a 202 Accepted status code contains a warnings field with an ImageProcessingOngoing Warning. Produces the ProductImageAdded Message.
commercetools_products_create_products_searchIf indexing is in progress or if Product Search is inactive, an ObjectNotFound error is returned. If inactive, you can reactivate it.
commercetools_products_delete_attribute_groups_by_idDELETE /attribute-groups/{ID}
commercetools_products_delete_attribute_groups_by_keyDELETE /attribute-groups/key={key}
commercetools_products_delete_by_idIf Product price selection query parameters are provided, the selected Prices are added to the response. Produces the ProductDeleted Message.
commercetools_products_delete_by_keyIf Product price selection query parameters are provided, the selected Prices are added to the response. Produces the ProductDeleted Message.
commercetools_products_delete_product_tailoring_by_idGenerates the ProductTailoringDeleted Message.
commercetools_products_delete_product_tailoring_by_keyGenerates the ProductTailoringDeleted Message.
commercetools_products_delete_product_types_by_idDELETE /product-types/{ID}
commercetools_products_delete_product_types_by_keyDELETE /product-types/key={key}
commercetools_products_get_attribute_groups_by_idGET /attribute-groups/{ID}
commercetools_products_get_attribute_groups_by_keyGET /attribute-groups/key={key}
commercetools_products_get_by_idIf Product price selection query parameters are provided, the selected Prices are added to the response.
commercetools_products_get_by_keyIf Product price selection query parameters are provided, the selected Prices are added to the response.
commercetools_products_get_product_projections_by_idRetrieves the projected representation of a Product by its ID. By default, this endpoint returns the current representation of Products where the published flag is true. If a Product is unpublished (published=false), the endpoint returns a Not Found error. Required access scopes: - To retrieve the current representation of published Products (published data), the view_published_products:{projectKey} scope is required. - To retrieve the staged representation of Products (draft data) or access unpublished Products, the API Client must have the view_products:{projectKey} scope.
commercetools_products_get_product_projections_by_keyRetrieves the projected representation of a Product by its Key. By default, this endpoint returns the current representation of Products where the published flag is true. If a Product is unpublished (published=false), the endpoint returns a Not Found error. Required access scopes: - To retrieve the current representation of published Products (published data), the view_published_products:{projectKey} scope is required. - To retrieve the staged representation of Products (draft data) or access unpublished Products, the API Client must have the view_products:{projectKey} scope.
commercetools_products_get_product_tailoring_by_idGET /product-tailoring/{ID}
commercetools_products_get_product_tailoring_by_keyGET /product-tailoring/key={key}
commercetools_products_get_product_types_by_idGET /product-types/{ID}
commercetools_products_get_product_types_by_keyGET /product-types/key={key}
commercetools_products_list_attribute_groupsGET /attribute-groups
commercetools_products_list_product_projectionsRetrieves the projected representation of Products by query predicates. By default, this endpoint returns the current representation of Products where the published flag is true. If a Product is unpublished (published=false), the endpoint returns a Not Found error. Required access scopes: - To retrieve the current representation of published Products (published data), the view_published_products:{projectKey} scope is required. - To retrieve the staged representation of Products (draft data) or access unpublished Products, the API Client must have the view_products:{projectKey} scope.
commercetools_products_list_product_projections_searchThis method appends query parameters to the URL. The maximum allowed URL length is 8192 characters. Exceeding this limit will result in URL truncation, potentially leading to unexpected results. For funnel searches on Product Listing Pages, where users select multiple filters, we recommend the POST method which passes the query parameters within the request body, avoiding URL length restrictions.
commercetools_products_list_product_projections_suggestGET /product-projections/suggest
commercetools_products_list_product_tailoringGET /product-tailoring
commercetools_products_list_product_typesGET /product-types
commercetools_products_list_productsIf Product price selection query parameters are provided, the selected Prices are added to the response.
commercetools_products_list_products_product_selections_by_idGET /products/{ID}/product-selections
commercetools_products_list_products_product_selections_by_keyGET /products/key={key}/product-selections
commercetools_products_update_attribute_groups_by_idPOST /attribute-groups/{ID}
commercetools_products_update_attribute_groups_by_keyPOST /attribute-groups/key={key}
commercetools_products_update_product_tailoring_by_idPOST /product-tailoring/{ID}
commercetools_products_update_product_tailoring_by_keyPOST /product-tailoring/key={key}
commercetools_products_update_product_types_by_idPOST /product-types/{ID}
commercetools_products_update_product_types_by_keyPOST /product-types/key={key}
commercetools_products_update_products_by_idIf Product price selection query parameters are provided, the selected Prices are added to the response. A failed response can return a DuplicatePriceScope, DuplicateVariantValues, DuplicateAttributeValue, or DuplicateAttributeValues error.
commercetools_products_update_products_by_keyA failed response can return a DuplicatePriceScope, DuplicateVariantValues, DuplicateAttributeValue, or DuplicateAttributeValues error.

commercetools_products_create_attribute_groups

POST /attribute-groups Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
attributesobject[]YesThe attributes value
descriptionobjectNoThe description value
keystringNoThe key value
nameobjectYesThe name value

For implementing funnel search on Product Listing Pages where users select multiple filters, use this POST method. To avoid URL length restrictions, this method passes the same query parameters as defined in the GET method, within the request body in URL-encoded format. Parameters:
ParameterTypeRequiredDefaultDescription
bodystringNoRequest body

commercetools_products_create_product_tailoring

Generates the ProductTailoringCreated Message. Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
attributesobject[]NoThe attributes value
descriptionobjectNoThe description value
keystringNoThe key value
metaDescriptionobjectNoMeta Description
metaKeywordsobjectNoMeta Keywords
metaTitleobjectNoMeta Title
nameobjectNoThe name value
productobjectYesThe product value
publishbooleanNoThe publish value
slugobjectNoThe slug value
storeobjectYesThe store value
variantsobject[]NoThe variants value

commercetools_products_create_product_types

POST /product-types Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
attributesobject[]NoThe attributes value
descriptionstringYesThe description value
keystringNoThe key value
namestringYesThe name value

commercetools_products_create_products

To create a new Product, send a representation that is going to become the initial staged and current representation of the new Product in the catalog. If Product price selection query parameters are provided, selected Prices will be added to the response. Produces the ProductCreated Message. Parameters:
ParameterTypeRequiredDefaultDescription
priceCurrencystringNoPrice Currency
priceCountrystringNoPrice Country
priceCustomerGroupstringNoPrice Customer Group
priceCustomerGroupAssignmentsstring[]NoPrice Customer Group Assignments
priceChannelstringNoPrice Channel
priceRecurrencePolicystringNoPrice Recurrence Policy
expandstring[]NoRelated resources to expand inline
attributesobject[]NoThe attributes value
categoriesany[]NoThe categories value
categoryOrderHintsobjectNoCategory Order Hints
descriptionobjectNoThe description value
keystringNoThe key value
masterVariantobjectNoMaster Variant
metaDescriptionobjectNoMeta Description
metaKeywordsobjectNoMeta Keywords
metaTitleobjectNoMeta Title
nameobjectYesThe name value
priceModestringNoPrice Mode
productTypeobjectYesProduct Type
publishbooleanNoThe publish value
searchKeywordsobjectNoSearch Keywords
slugobjectYesThe slug value
stateobjectNoThe state value
taxCategoryobjectNoTax Category
variantsobject[]NoThe variants value

commercetools_products_create_products_images_by_id

Uploads a JPEG, PNG, or a GIF image file to a ProductVariant. The maximum file size of the image is 10MB. Either variant or sku is required to update a specific ProductVariant. If neither is provided, the image is uploaded to the Master Variant of the Product. The response status code depends on the size of the original image. If the image is small, the API responds with 200 OK, and if the image is larger, it responds with 202 Accepted. The Product returned with a 202 Accepted status code contains a warnings field with an ImageProcessingOngoing Warning. Produces the ProductImageAdded Message. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
filenamestringNoThe filename value
variantnumberNoThe variant value
skustringNoThe sku value
stagedbooleanNoThe staged value
bodystringNoRequest body

If indexing is in progress or if Product Search is inactive, an ObjectNotFound error is returned. If inactive, you can reactivate it. Parameters:
ParameterTypeRequiredDefaultDescription
facetsobject[]NoThe facets value
limitintegerNoMaximum number of results to return
markMatchingVariantsbooleanNoMark Matching Variants
offsetintegerNoThe offset value
postFilterobjectNoPost Filter
productProjectionParametersobjectNoProduct Projection Parameters
queryobjectNoSearch query string
sortobject[]NoSort order for results

commercetools_products_delete_attribute_groups_by_id

DELETE /attribute-groups/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_products_delete_attribute_groups_by_key

DELETE /attribute-groups/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_products_delete_by_id

If Product price selection query parameters are provided, the selected Prices are added to the response. Produces the ProductDeleted Message. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
priceCurrencystringNoPrice Currency
priceCountrystringNoPrice Country
priceCustomerGroupstringNoPrice Customer Group
priceCustomerGroupAssignmentsstring[]NoPrice Customer Group Assignments
priceChannelstringNoPrice Channel
priceRecurrencePolicystringNoPrice Recurrence Policy
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_products_delete_by_key

If Product price selection query parameters are provided, the selected Prices are added to the response. Produces the ProductDeleted Message. Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
priceCurrencystringNoPrice Currency
priceCountrystringNoPrice Country
priceCustomerGroupstringNoPrice Customer Group
priceCustomerGroupAssignmentsstring[]NoPrice Customer Group Assignments
priceChannelstringNoPrice Channel
priceRecurrencePolicystringNoPrice Recurrence Policy
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_products_delete_product_tailoring_by_id

Generates the ProductTailoringDeleted Message. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_products_delete_product_tailoring_by_key

Generates the ProductTailoringDeleted Message. Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_products_delete_product_types_by_id

DELETE /product-types/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_products_delete_product_types_by_key

DELETE /product-types/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
versionintegerYesThe version value
expandstring[]NoRelated resources to expand inline

commercetools_products_get_attribute_groups_by_id

GET /attribute-groups/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline

commercetools_products_get_attribute_groups_by_key

GET /attribute-groups/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline

commercetools_products_get_by_id

If Product price selection query parameters are provided, the selected Prices are added to the response. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
priceCurrencystringNoPrice Currency
priceCountrystringNoPrice Country
priceCustomerGroupstringNoPrice Customer Group
priceCustomerGroupAssignmentsstring[]NoPrice Customer Group Assignments
priceChannelstringNoPrice Channel
priceRecurrencePolicystringNoPrice Recurrence Policy
expandstring[]NoRelated resources to expand inline

commercetools_products_get_by_key

If Product price selection query parameters are provided, the selected Prices are added to the response. Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
priceCurrencystringNoPrice Currency
priceCountrystringNoPrice Country
priceCustomerGroupstringNoPrice Customer Group
priceCustomerGroupAssignmentsstring[]NoPrice Customer Group Assignments
priceChannelstringNoPrice Channel
priceRecurrencePolicystringNoPrice Recurrence Policy
expandstring[]NoRelated resources to expand inline

commercetools_products_get_product_projections_by_id

Retrieves the projected representation of a Product by its ID. By default, this endpoint returns the current representation of Products where the published flag is true. If a Product is unpublished (published=false), the endpoint returns a Not Found error. Required access scopes: - To retrieve the current representation of published Products (published data), the view_published_products:{projectKey} scope is required. - To retrieve the staged representation of Products (draft data) or access unpublished Products, the API Client must have the view_products:{projectKey} scope. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
stagedbooleanNoThe staged value
priceCurrencystringNoPrice Currency
priceCountrystringNoPrice Country
priceCustomerGroupstringNoPrice Customer Group
priceCustomerGroupAssignmentsstring[]NoPrice Customer Group Assignments
priceChannelstringNoPrice Channel
priceRecurrencePolicystringNoPrice Recurrence Policy
localeProjectionstring[]NoLocale Projection
storeProjectionstringNoStore Projection
filter[attributes]string[]NoThe filter[attributes] value
expandstring[]NoRelated resources to expand inline

commercetools_products_get_product_projections_by_key

Retrieves the projected representation of a Product by its Key. By default, this endpoint returns the current representation of Products where the published flag is true. If a Product is unpublished (published=false), the endpoint returns a Not Found error. Required access scopes: - To retrieve the current representation of published Products (published data), the view_published_products:{projectKey} scope is required. - To retrieve the staged representation of Products (draft data) or access unpublished Products, the API Client must have the view_products:{projectKey} scope. Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
stagedbooleanNoThe staged value
priceCurrencystringNoPrice Currency
priceCountrystringNoPrice Country
priceCustomerGroupstringNoPrice Customer Group
priceCustomerGroupAssignmentsstring[]NoPrice Customer Group Assignments
priceChannelstringNoPrice Channel
priceRecurrencePolicystringNoPrice Recurrence Policy
localeProjectionstring[]NoLocale Projection
storeProjectionstringNoStore Projection
filter[attributes]string[]NoThe filter[attributes] value
expandstring[]NoRelated resources to expand inline

commercetools_products_get_product_tailoring_by_id

GET /product-tailoring/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline

commercetools_products_get_product_tailoring_by_key

GET /product-tailoring/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline

commercetools_products_get_product_types_by_id

GET /product-types/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline

commercetools_products_get_product_types_by_key

GET /product-types/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline

commercetools_products_list_attribute_groups

GET /attribute-groups Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total
wherestring[]NoThe where value

commercetools_products_list_product_projections

Retrieves the projected representation of Products by query predicates. By default, this endpoint returns the current representation of Products where the published flag is true. If a Product is unpublished (published=false), the endpoint returns a Not Found error. Required access scopes: - To retrieve the current representation of published Products (published data), the view_published_products:{projectKey} scope is required. - To retrieve the staged representation of Products (draft data) or access unpublished Products, the API Client must have the view_products:{projectKey} scope. Parameters:
ParameterTypeRequiredDefaultDescription
stagedbooleanNoThe staged value
priceCurrencystringNoPrice Currency
priceCountrystringNoPrice Country
priceCustomerGroupstringNoPrice Customer Group
priceCustomerGroupAssignmentsstring[]NoPrice Customer Group Assignments
priceChannelstringNoPrice Channel
priceRecurrencePolicystringNoPrice Recurrence Policy
localeProjectionstring[]NoLocale Projection
storeProjectionstringNoStore Projection
filter[attributes]string[]NoThe filter[attributes] value
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total
wherestring[]NoThe where value

This method appends query parameters to the URL. The maximum allowed URL length is 8192 characters. Exceeding this limit will result in URL truncation, potentially leading to unexpected results. For funnel searches on Product Listing Pages, where users select multiple filters, we recommend the POST method which passes the query parameters within the request body, avoiding URL length restrictions. Parameters:
ParameterTypeRequiredDefaultDescription
markMatchingVariantsbooleanNoMark Matching Variants
fuzzybooleanNoThe fuzzy value
fuzzyLevelnumberNoFuzzy Level
filter.querystring[]NoThe filter.query value
filterstring[]NoThe filter value
facetstring[]NoThe facet value
filter.facetsstring[]NoThe filter.facets value
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
stagedbooleanNoThe staged value
priceCurrencystringNoPrice Currency
priceCountrystringNoPrice Country
priceCustomerGroupstringNoPrice Customer Group
priceCustomerGroupAssignmentsstring[]NoPrice Customer Group Assignments
priceChannelstringNoPrice Channel
priceRecurrencePolicystringNoPrice Recurrence Policy
localeProjectionstring[]NoLocale Projection
storeProjectionstringNoStore Projection

commercetools_products_list_product_projections_suggest

GET /product-projections/suggest Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoMaximum number of results to return
fuzzybooleanNoThe fuzzy value
stagedbooleanNoThe staged value

commercetools_products_list_product_tailoring

GET /product-tailoring Parameters:
ParameterTypeRequiredDefaultDescription
withTotalbooleanNoWith Total
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
wherestring[]NoThe where value

commercetools_products_list_product_types

GET /product-types Parameters:
ParameterTypeRequiredDefaultDescription
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total
wherestring[]NoThe where value

commercetools_products_list_products

If Product price selection query parameters are provided, the selected Prices are added to the response. Parameters:
ParameterTypeRequiredDefaultDescription
wherestring[]NoThe where value
priceCurrencystringNoPrice Currency
priceCountrystringNoPrice Country
priceCustomerGroupstringNoPrice Customer Group
priceCustomerGroupAssignmentsstring[]NoPrice Customer Group Assignments
priceChannelstringNoPrice Channel
priceRecurrencePolicystringNoPrice Recurrence Policy
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
withTotalbooleanNoWith Total

commercetools_products_list_products_product_selections_by_id

GET /products/{ID}/product-selections Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
withTotalbooleanNoWith Total
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
wherestring[]NoThe where value

commercetools_products_list_products_product_selections_by_key

GET /products/key={key}/product-selections Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
withTotalbooleanNoWith Total
expandstring[]NoRelated resources to expand inline
sortstring[]NoSort order for results
limitintegerNoMaximum number of results to return
offsetintegerNoThe offset value
wherestring[]NoThe where value

commercetools_products_update_attribute_groups_by_id

POST /attribute-groups/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_products_update_attribute_groups_by_key

POST /attribute-groups/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_products_update_product_tailoring_by_id

POST /product-tailoring/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_products_update_product_tailoring_by_key

POST /product-tailoring/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_products_update_product_types_by_id

POST /product-types/{ID} Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_products_update_product_types_by_key

POST /product-types/key={key} Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_products_update_products_by_id

If Product price selection query parameters are provided, the selected Prices are added to the response. A failed response can return a DuplicatePriceScope, DuplicateVariantValues, DuplicateAttributeValue, or DuplicateAttributeValues error. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe id value
priceCurrencystringNoPrice Currency
priceCountrystringNoPrice Country
priceCustomerGroupstringNoPrice Customer Group
priceCustomerGroupAssignmentsstring[]NoPrice Customer Group Assignments
priceChannelstringNoPrice Channel
priceRecurrencePolicystringNoPrice Recurrence Policy
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value

commercetools_products_update_products_by_key

A failed response can return a DuplicatePriceScope, DuplicateVariantValues, DuplicateAttributeValue, or DuplicateAttributeValues error. Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
priceCurrencystringNoPrice Currency
priceCountrystringNoPrice Country
priceCustomerGroupstringNoPrice Customer Group
priceCustomerGroupAssignmentsstring[]NoPrice Customer Group Assignments
priceChannelstringNoPrice Channel
priceRecurrencePolicystringNoPrice Recurrence Policy
expandstring[]NoRelated resources to expand inline
actionsobject[]YesThe actions value
versionintegerYesThe version value